//HelloBoard and Processing

// Include the SoftwareSerial library

#include <SoftwareSerial.h> // include the Software serial library to run serial on Attiny45
SoftwareSerial mySerial(0, 1); // declare my serial ports 1 and 0 (MISO, MOSI)

// set my LED pins and button pins
byte ledPin_1 = 8;
byte ledPin_2 = 7;
const byte buttonPin = A3;

void setup() {

  //Set the baud rate 115200 bits per second
  mySerial.begin(115200);

  //set sensorPin (A2) as INPUT
  pinMode(buttonPin, INPUT);

  //set LEDs as outputs
  pinMode(ledPin_1, OUTPUT);
  pinMode(ledPin_2, OUTPUT);

}

void loop() {

  int sensorValue = digitalRead(buttonPin);
  mySerial.print(sensorValue);

  if (digitalRead(buttonPin) == 0) {
    digitalWrite(ledPin_1, HIGH);
  } else {
    digitalWrite(ledPin_1, LOW);
  }

  delay(20);                            // Wait 100 milliseconds
} // End Loop


